### Merged i18n


# Centralized Translation Repository

This repository manages all multilingual translations for the project in a single JSON file: `languages.json`. The centralized structure ensures consistency and simplifies updates by consolidating all languages in one place.


### **Translation Format**

The `languages.json` file organizes translations in a nested structure:
- **Keys** represent the unique identifiers for each translatable string.
- **Sub-keys** represent the supported language codes (e.g., `en`, `de`, `fr`).
- **Values** are the localized translations for each language.

#### Example:

```json
{
    "party.create": {
        "de": "Party erstellen",
        "en": "Create party",
        "fr": "Créer une partie",
        "it": "Crea una partita",
        "pl": "Utwórz grupę",
        "ru": "Создать группу",
        "zh": "创建队伍"
    }
}
```


All languages are accepted.

### **Contributing**

We welcome contributions to improve or expand translations. Please follow these steps:

1. **Fork the repository.**
2. **Create a new branch** for your changes.
3. **Update the `languages.json` file**:
   - Add new keys or languages where applicable.
   - Ensure consistency in the JSON structure.
4. **Submit a pull request** with a clear description of your changes.


### **Advantages of a Centralized File**

- **Simplicity**: All translations are stored in one place, making it easy to access and update.
- **Consistency**: Reduces duplication and ensures all keys are synchronized across languages.
- **Scalability**: Adding new keys or languages requires minimal effort.


### **Contact**

If you have questions or suggestions, feel free to open an issue in the repository.
